This version is outdated! Click here to see latest
Gems_big

simplecov

0.11.2

Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

Critical or Security advisories for 0.11.2

This version doesn't have any advisory. Want to report one?

Changelog for 0.11.2

2016-02-03 (changes)

Enhancements

  • Do not globally pollute Array and Hash with merge_resultset utility methods. See #449 (thanks @amatsuda)
  • Do not mkdir_p the coverage_path on every access of the method (See #453 (thanks @paddor)
  • Fixes a Ruby warning related to the track_files configuration. See #447 (thanks @craiglittle)
  • Add a group for background jobs to default Rails profile. See #442 (thanks @stve)

Bugfixes

  • Fix root_filter evaluates SimpleCov.root before initialization. See #437 (thanks @tmtm)

Dependencies for 0.11.2

Name Requirement Status
~> 1.1.0

~> 1.8

~> 0.10.0

My projects using simplecov

Name Locked version Requirement
You should be logged in to see which of your projects use simplecov.